Loading...
Searching...
No Matches
PenningTrapTest Class Reference

## Static Public Member Functions

static void | test_external_E_field ()
static void | test_external_B_field ()
static void | test_force_on_particle ()
static void | test_total_force_external ()
static void | test_total_force_particles ()

## Detailed Description

Definition at line 20 of file test_suite.cpp.

## Member Function Documentation

## test_external_B_field()

static void PenningTrapTest::test_external_B_field | ( |  | ) |

inlinestatic

Definition at line 59 of file test_suite.cpp.

## test_external_E_field()

static void PenningTrapTest::test_external_E_field | ( |  | ) |

inlinestatic

Definition at line 22 of file test_suite.cpp.

## test_force_on_particle()

static void PenningTrapTest::test_force_on_particle | ( |  | ) |

inlinestatic

Definition at line 70 of file test_suite.cpp.

## test_total_force_external()

static void PenningTrapTest::test_total_force_external | ( |  | ) |

inlinestatic

Definition at line 95 of file test_suite.cpp.

## test_total_force_particles()

static void PenningTrapTest::test_total_force_particles | ( |  | ) |

inlinestatic

Definition at line 108 of file test_suite.cpp.

The documentation for this class was generated from the following file:

- src/test_suite.cpp